Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

# Enum Class DocumentType6Code

java.lang.Object
java.lang.Enum<DocumentType6Code>
org.kapott.hbci.sepa.jaxb.pain_001_001_09.DocumentType6Code

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentType6Code>`, `Constable`

public enum DocumentType6Code extends Enum<DocumentType6Code>

Java class for DocumentType6Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="DocumentType6Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="MSIN"/>
         <enumeration value="CNFA"/>
         <enumeration value="DNFA"/>
         <enumeration value="CINV"/>
         <enumeration value="CREN"/>
         <enumeration value="DEBN"/>
         <enumeration value="HIRI"/>
         <enumeration value="SBIN"/>
         <enumeration value="CMCN"/>
         <enumeration value="SOAC"/>
         <enumeration value="DISP"/>
         <enumeration value="BOLD"/>
         <enumeration value="VCHR"/>
         <enumeration value="AROI"/>
         <enumeration value="TSUT"/>
         <enumeration value="PUOR"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AROI`
`BOLD`
`CINV`
`CMCN`
`CNFA`
`CREN`
`DEBN`
`DISP`
`DNFA`
`HIRI`
`MSIN`
`PUOR`
`SBIN`
`SOAC`
`TSUT`
`VCHR`

## Method Summary

Modifier and Type
Method
Description
`static DocumentType6Code`
`fromValue(String v)`
`String`
`value()`
`static DocumentType6Code`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocumentType6Code[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MSIN

public static final DocumentType6Code MSIN

### CNFA

public static final DocumentType6Code CNFA

### DNFA

public static final DocumentType6Code DNFA

### CINV

public static final DocumentType6Code CINV

### CREN

public static final DocumentType6Code CREN

### DEBN

public static final DocumentType6Code DEBN

### HIRI

public static final DocumentType6Code HIRI

### SBIN

public static final DocumentType6Code SBIN

### CMCN

public static final DocumentType6Code CMCN

### SOAC

public static final DocumentType6Code SOAC

### DISP

public static final DocumentType6Code DISP

### BOLD

public static final DocumentType6Code BOLD

### VCHR

public static final DocumentType6Code VCHR

### AROI

public static final DocumentType6Code AROI

### TSUT

public static final DocumentType6Code TSUT

### PUOR

public static final DocumentType6Code PUOR

## Method Details

### values

public static DocumentType6Code[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DocumentType6Code valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static DocumentType6Code fromValue(String v)